# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>


%define prefix          /opt/kde3
%define name            sqlguipgsql
%define ver             0.1
%define RELEASE         1
%define rel             %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}



Summary:   Plugin for SqlGui 
Name:      sqlguipgsql
Version:   0.1
Release:   0.1
Copyright: GPL
Vendor:    Marcus Beranek <marcus@sqlgui.de>
Url:       htpp://www.sqlgui.de

Packager:  Marcus Beranek <marcus@sqlgui.de>
Group:     X11/KDE/Applications
Source:    sqlguipgsql-0.1.tar.gz
BuildRoot: /var/tmp/%{name}-%{ver}-root

%description
PostgreSQL-plugin for SqlGui

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 --build=i386-linux --host=i386-linux --target=i386-linux --with-extra-includes=/usr/local/pgsql/include --with-extra-libs=/usr/local/pgsql/lib \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make  -j$numprocs

#%install
#make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.sqlguipgsql
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.sqlguipgsql
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.sqlguipgsql

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/sqlguipgsql
rm -rf ../file.list.sqlguipgsql


%files -f ../file.list.sqlguipgsql
